Create Project Webhook
curl --request POST \
--url https://api.veryfront.com/projects/{project_reference}/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"target": {
"id": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"prompt_template": "<string>",
"event_filter": {
"conditions": [
{
"path": "<string>",
"value": null
}
]
}
}
'import requests
url = "https://api.veryfront.com/projects/{project_reference}/webhooks"
payload = {
"name": "<string>",
"target": {
"id": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"prompt_template": "<string>",
"event_filter": { "conditions": [
{
"path": "<string>",
"value": None
}
] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
target: {id: '<string>', conversation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
prompt_template: '<string>',
event_filter: {conditions: [{path: '<string>', value: null}]}
})
};
fetch('https://api.veryfront.com/projects/{project_reference}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhook": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"source": "webhook",
"target": {
"id": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"prompt_template": "<string>",
"event_filter": {
"conditions": [
{
"path": "<string>",
"value": null
}
]
},
"runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_trigger_id": "<string>",
"source_path": "<string>",
"source_hash": "<string>",
"webhook_id": "<string>",
"webhook_url": "<string>",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled_at": "<string>",
"disabled_at": "<string>",
"disabled_reason": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"webhook_secret": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>"
}Creates an enabled webhook definition and returns its secret once.
POST
/
projects
/
{project_reference}
/
webhooks
Create Project Webhook
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Minimum string length:
1Body
application/json
⌘I